<?php
/**
 * Active Callbacks
 *
 * @package wheel_alignment_service
 */

// Theme Options.
function wheel_alignment_service_is_pagination_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_enable_pagination' )->value() );
}
function wheel_alignment_service_is_breadcrumb_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_enable_breadcrumb' )->value() );
}
function wheel_alignment_service_is_layout_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_website_layout' )->value() );
}
function wheel_alignment_service_is_pagetitle_bcakground_image_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_page_header_style' )->value() );
}
function wheel_alignment_service_is_preloader_style( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_enable_preloader' )->value() );
}

// Banner Slider Section.
function wheel_alignment_service_is_banner_slider_section_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_enable_banner_section' )->value() );
}
function wheel_alignment_service_is_banner_slider_section_and_content_type_post_enabled( $wheel_alignment_service_control ) {
	$content_type = $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_banner_slider_content_type' )->value();
	return ( wheel_alignment_service_is_banner_slider_section_enabled( $wheel_alignment_service_control ) && ( 'post' === $content_type ) );
}
function wheel_alignment_service_is_banner_slider_section_and_content_type_page_enabled( $wheel_alignment_service_control ) {
	$content_type = $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_banner_slider_content_type' )->value();
	return ( wheel_alignment_service_is_banner_slider_section_enabled( $wheel_alignment_service_control ) && ( 'page' === $content_type ) );
}

// Vehicle Services Section.
function wheel_alignment_service_is_services_section_enabled( $wheel_alignment_service_control ) {
	return ( $wheel_alignment_service_control->manager->get_setting( 'wheel_alignment_service_enable_services_section' )->value() );
}